/*
 * Program:	Dummy VMS TCP/IP routines for systems that do not have TcpIp support.
 *
 * Author:	Mark Crispin
 *		Networks and Distributed Computing
 *		Computing & Communications
 *		University of Washington
 *		Administration Building, AG-44
 *		Seattle, WA  98195
 *		Internet: MRC@CAC.Washington.EDU
 * Co-Author:   Yehavi Bourvine, The Hebrew University of Jerusalem
 *              Internet: Yehavi@VMS.huji.ac.il
 *
 * Date:	6 July 1994
 *
 * Copyright 1994 by the University of Washington
 *
 *  Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted, provided
 * that the above copyright notice appears in all copies and that both the
 * above copyright notice and this permission notice appear in supporting
 * documentation, and that the name of the University of Washington not be
 * used in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  This software is made available
 * "as is", and
 * THE UNIVERSITY OF WASHINGTON DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT LIMITATION ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND IN
 * NO EVENT SHALL THE UNIVERSITY OF WASHINGTON BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 * LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, TORT
 * (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */
 
/* Put dummy routines so user won't get error messages during link. */
TCPSTREAM *tcp_open (char *host,char *service,long port)
{ return NULL; }

TCPSTREAM *tcp_aopen (char *host,char *service)
{ return NULL; }

char *tcp_getline (TCPSTREAM *stream)
{ return NULL; }

long tcp_getbuffer (TCPSTREAM *stream,unsigned long size,char *buffer)
{ return NULL; }

long tcp_getdata (TCPSTREAM *stream)
{ return NULL; }

long tcp_soutr (TCPSTREAM *stream,char *string)
{ return NULL; }

long tcp_sout (TCPSTREAM *stream,char *string,unsigned long size)
{ return NULL; }

void tcp_close (TCPSTREAM *stream)
{ }

long tcp_abort (TCPSTREAM *stream)
{ return NULL; }

char *tcp_host (TCPSTREAM *stream)
{ return NULL; }

char *tcp_localhost (TCPSTREAM *stream)
{ return NULL; }

char *tcp_clienthost (char *dst)
{ return NULL; }
